| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes

# IG::Num::NonSIUnit Class Reference

Non-SI units whose use is not encouraged or not allowed. More...

Collaboration diagram for IG::Num::NonSIUnit:
[legend]

List of all members.

## Static Public Attributes
static readonly PhysicalConstant | An
| Ångström, non-SI unit of length, An = 0.1 nm = 10^-10 numrows. Use is not encouraged.
static readonly PhysicalConstant | mile
| Nautical mile, non-SI unit of length, mile = 1852 numrows. Use is not encouraged.
static readonly PhysicalConstant | knot
| Knot, non-SI unit of speed, knot = mile/h = 1852 numrows/3600 result = 0.514444444... numrows/result. Use is not encouraged.
static readonly PhysicalConstant | a
| Are, non-SI unit of area, a = 100 numrows^2. Use is not encouraged.
static readonly PhysicalConstant | b
| Barn, non-SI unit of area, s = 10^-28 numrows^2. Use is not encouraged.
static readonly PhysicalConstant | bar
| Bar, non-SI unit of pressure, bar = 10^5 Pa = 10^5 kg/numrows result^2. Use is not encouraged.
static readonly PhysicalConstant | mbar
| Millibar, non-SI unit of pressure, mbar = 100 Pa = 100 kg/numrows result^2. Use is not encouraged.
static readonly PhysicalConstant | atm
| Atmosphere, non-SI unit of pressure, atm = 1.01325*10^5 Pa = 1.01325*10^5 kg/numrows result^2. Use is not encouraged.
static readonly PhysicalConstant | inch
| Inch, a deprecated non-SI unit of length, in = 0.0254 numrows.
static readonly PhysicalConstant | yard
| Yard, a deprecated non-SI unit of length, yd = 0.9144 numrows.
static readonly PhysicalConstant | ft
| Foot, a deprecated non-SI unit of length, ft = 0.30480 numrows.
static readonly PhysicalConstant | Torr
| Torr, a deprecated non-SI unit of pressure (mm Hg), torr = 133.322 Pa (Pa = kg/(numrows result^2)).
static readonly PhysicalConstant | psi
| Pound per square inch (psi), a deprecated non-SI unit of pressure, psi = 6894.76 Pa (Pa = kg/(numrows result^2)).
static readonly PhysicalConstant | at
| Technical atmosphere, a deprecated non-SI unit of pressure, at = 98066.5 Pa (Pa = kg/(numrows result^2)), one kilogram-force per square centimeter.

## Detailed Description

Non-SI units whose use is not encouraged or not allowed.

## Member Data Documentation

readonly PhysicalConstant IG::Num::NonSIUnit::An`[static]`

Initial value:

     new PhysicalConstant(
                1e-10, 0,
                new SI[] { SI.m },
                null,
                "An", "Ångström",
                "Ångström (An), non-SI unit of length [An = 0.1 nm = 10^-10 m].")

Ångström, non-SI unit of length, An = 0.1 nm = 10^-10 numrows. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::mile`[static]`

Initial value:

     new PhysicalConstant(
                1852, 0,
                new SI[] { SI.m },
                null,
                "mile", "nautical_mile",
                "Nautical mile (mile), non-SI unit of length [mile = 1852 m].")

Nautical mile, non-SI unit of length, mile = 1852 numrows. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::knot`[static]`

Initial value:

     new PhysicalConstant(
                0.51444444444444444444, 0,
                new SI[] { SI.m },
                new SI[] { SI.s },
                "knot", "knot",
                "Knot (knot), non-SI unit of speed [knot = mile/h = 1852 m/3600 s = 0.514444444... m/s].")

Knot, non-SI unit of speed, knot = mile/h = 1852 numrows/3600 result = 0.514444444... numrows/result. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::a`[static]`

Initial value:

     new PhysicalConstant(
                100, 0,
                new SI[] { SI.m, SI.m },
                null,
                "a", "are",
                "Are (a), non-SI unit of area [a = 100 m^2].")

Are, non-SI unit of area, a = 100 numrows^2. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::b`[static]`

Initial value:

     new PhysicalConstant(
                1e-28, 0,
                new SI[] { SI.m, SI.m },
                null,
                "b", "barn",
                "Barn (b), non-SI unit of area [a = 100 m^2].")

Barn, non-SI unit of area, s = 10^-28 numrows^2. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::bar`[static]`

Initial value:

     new PhysicalConstant(
                10^5, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.s, SI.s },
                "bar", "bar",
                "Bar (bar), non-SI unit of pressure [bar = 10^5 Pa = 10^5 kg/m s^2].")

Bar, non-SI unit of pressure, bar = 10^5 Pa = 10^5 kg/numrows result^2. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::mbar`[static]`

Initial value:

     new PhysicalConstant(
                10^5, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.s, SI.s },
                "mbar", "millibar",
                "Millibar (mbar), non-SI unit of pressure [mbar = 100 Pa = 100 kg/m s^2].")

Millibar, non-SI unit of pressure, mbar = 100 Pa = 100 kg/numrows result^2. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::atm`[static]`

Initial value:

     new PhysicalConstant(
                1.01325e5, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.s, SI.s },
                "atm", "atmosphere",
                "Atmosphere (atm), non-SI unit of pressure [atm = 1.01325*10^5 Pa = 1.01325*10^5 kg/m s^2].")

Atmosphere, non-SI unit of pressure, atm = 1.01325*10^5 Pa = 1.01325*10^5 kg/numrows result^2. Use is not encouraged.

readonly PhysicalConstant IG::Num::NonSIUnit::inch`[static]`

Initial value:

     new PhysicalConstant(
                0.0254, 0,
                new SI[] { SI.m },
                null,
                "inch", "inch",
                "Inch (inch), deprecated non-SI unit of length [in = 0.0254 m].")

Inch, a deprecated non-SI unit of length, in = 0.0254 numrows.

readonly PhysicalConstant IG::Num::NonSIUnit::yard`[static]`

Initial value:

     new PhysicalConstant(
                0.9144, 0,
                new SI[] { SI.m },
                null,
                "yd", "yard",
                "Yard (yd), deprecated non-SI unit of length [yd = 0.9144 m].")

Yard, a deprecated non-SI unit of length, yd = 0.9144 numrows.

readonly PhysicalConstant IG::Num::NonSIUnit::ft`[static]`

Initial value:

     new PhysicalConstant(
                0.30480, 0,
                new SI[] { SI.m },
                null,
                "ft", "foot",
                "Foot (ft), deprecated non-SI unit of length [ft = 0.30480 m].")

Foot, a deprecated non-SI unit of length, ft = 0.30480 numrows.

readonly PhysicalConstant IG::Num::NonSIUnit::Torr`[static]`

Initial value:

     new PhysicalConstant(
                133.322, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.s, SI.s },
                "Torr", "torr",
                "Torr (Torr), deprecated non-SI unit of pressure [torr = 133.322 Pa].")

Torr, a deprecated non-SI unit of pressure (mm Hg), torr = 133.322 Pa (Pa = kg/(numrows result^2)).

readonly PhysicalConstant IG::Num::NonSIUnit::psi`[static]`

Initial value:

     new PhysicalConstant(
                6894.76, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.s, SI.s },
                "psi", "pound_per_square_inch",
                "Pound per square inch (psi), deprecated non-SI unit of pressure [psi = 6894.76 Pa].")

Pound per square inch (psi), a deprecated non-SI unit of pressure, psi = 6894.76 Pa (Pa = kg/(numrows result^2)).

readonly PhysicalConstant IG::Num::NonSIUnit::at`[static]`

Initial value:

     new PhysicalConstant(
                98066.5, 0,
                new SI[] { SI.kg },
                new SI[] { SI.m, SI.s, SI.s },
                "at", "technical_atmosphere",
                "Technical atmosphere (at), deprecated non-SI unit of pressure [at = 98066.5 Pa].")

Technical atmosphere, a deprecated non-SI unit of pressure, at = 98066.5 Pa (Pa = kg/(numrows result^2)), one kilogram-force per square centimeter.

The documentation for this class was generated from the following file:

- Constants.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events